Subject: RE: bug#12345: 24.2.50; doc string of `text-scale-adjust'

From: "Drew Adams" <[email-masked]>
Date: Tue, 11 Sep 2012 07:24:08 -0700

Hi Bastien,

1. I think any changes in the behavior and bindings should be proposed on
emacs-devel.  Personally, I don't care much, but I'm pretty sure that at least
some people will want to keep the `=' binding because `+' is often on a Shift
key.  Emacs-devel is also the place to pose your question about zero. 

2. Please consider changing the name of the parameter to INCREMENT, so the doc
string is more readable: "Adjust the height of the default face by INCREMENT."
Say explicitly that INCREMENT defaults to 1.

3. Alternatively, you could say something like this:

"Adjust the height of face `default' by N text-scale steps.
N is the numeric prefix agument: positive to increase height, negative
to decrease.  Step size is the value of `text-scale-mode-step'."

The rest is OK.

4. Don't be surprised if Stefan doesn't go along with your change to not use the
temporary keymap.  He just got through _adding_ such code here and there
throughout Emacs.  (Makes no difference to me - my bug report was about the doc
string.)

Thx - Drew

> > 1. Describe the parameter, INC.
> > 2. Describe the use of a prefix argument.
> > In general, describe this as a user command, from a user 
> > point of view, and not just as a function to be called from code.
> 
> See attached patch.
> 
> I enhanced the docstring and rewrote the command so that it does
> not use a temporary keymap.  When I tried `C-x C-+' I was left with 
> the `+' and `-' keys not usable anymore.
> 
> The patch also removes the redundant keybinding `C-x C-='.
> 
> And C-x C-0 does not allow adjusting further.  My feeling is that
> it is not useful.
> 
> I'll apply this patch within a week if nobody is against it.